## libept 0.4.7

=== CMakeLists.txt ===
include( FindPkgConfig.cmake )

set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
set( OPT_FLAGS "-O0 -gstabs+" CACHE STRING "optimization level" )

set( HAVE_GC true CACHE BOOL "have libgc (boehm garbage collector) available" )
set( GC_LIBS gc gccpp CACHE STRTING "garbage collector library" )
set( GC_DEFS "-DGC_USE_RTLD_NEXT" CACHE STRING "garbage collector defs" )
set( GC_INCLUDES "" CACHE STRING "libgc include path" )

if ( NOT HAVE_GC )
  set( GC_LIBS "" )
  set( GC_DEFS "" )
  set( GC_INCLUDES "" )
endif( NOT HAVE_GC )

option( INTERNAL_TAGCOLL "use internal copy of tagcoll" )
option( INTERNAL_WIBBLE "use internal copy of wibble" )
option( BUILD_DEBTAGS "build debtags in a subdir" )
option( BUILD_ADEPT "build adept in a subdir" )
option( RPM "using apt-rpm" )

if( INTERNAL_WIBBLE )
ADD_SUBDIRECTORY( wibble )
SET( WIBBLE_INCLUDES ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
SET( WIBBLE_DEFS "" )
SET( WIBBLE_LINKDIRS ${tagcoll_BINARY_DIR} )
SET( WIBBLE_LIBS "wibble" )

else( INTERNAL_WIBBLE )
EPT_PKGCONFIG( "libwibble" HAVE_WIBBLE WIBBLE_INCLUDES WIBBLE_DEFS WIBBLE_LINKDIRS WIBBLE_LIBS )
endif( INTERNAL_WIBBLE )

if( INTERNAL_TAGCOLL )

SET( HAVE_TC ON )
SET( TC_INCLUDES ${CMAKE_SOURCE_DIR} )
SET( TC_DEFS "" )
SET( TC_LINKDIRS ${tagcoll_BINARY_DIR} )
SET( TC_LIBS "tagcoll" )

ADD_SUBDIRECTORY( tagcoll )

else( INTERNAL_TAGCOLL )

EPT_PKGCONFIG( "libtagcoll2 >= 2.0" HAVE_TC TC_INCLUDES TC_DEFS TC_LINKDIRS TC_LIBS )

endif( INTERNAL_TAGCOLL )

EPT_PKGCONFIG( "sigc++-2.0 >= 2.0" HAVE_SIGC SIGC_INCLUDES SIGC_DEFS SIGC_LINKDIRS SIGC_LIBS )

ADD_SUBDIRECTORY( ept )
ADD_SUBDIRECTORY( tools )
# ADD_SUBDIRECTORY( swig )

if( BUILD_DEBTAGS )
ADD_SUBDIRECTORY( debtags )
endif( BUILD_DEBTAGS) 

if( BUILD_ADEPT )
ADD_SUBDIRECTORY( adept )
endif( BUILD_ADEPT )

=== ept/CMakeLists.txt ===
project( ept )

set( EPT_VERSION "0.4.7" )

file( GLOB h_top *.h )
file( GLOB tcc_top *.tcc )
file( GLOB h_configuration configuration/*.h )
file( GLOB h_cache cache/*.h )
file( GLOB h_actor actor/*.h )
file( GLOB h_predicate predicate/*.h )
file( GLOB tcc_cache cache/*.tcc )
file( GLOB h_cache_apt cache/apt/*.h )
file( GLOB tcc_cache_apt cache/apt/*.tcc )
file( GLOB h_debtags cache/debtags/*.h )
file( GLOB tcc_debtags cache/debtags/*.tcc )

file( GLOB src *.cpp cache/*.cpp cache/*/*.cpp predicate/*.cpp )

install_files( /include/ept/ .h ${h_top} )
install_files( /include/ept/ .tcc ${tcc_top} )
install_files( /include/ept/configuration/ .h ${h_configuration} )
install_files( /include/ept/cache/ .h ${h_cache} )
install_files( /include/ept/actor/ .h ${h_actor} )
install_files( /include/ept/predicate/ .h ${h_predicate} )
install_files( /include/ept/cache/ .tcc ${tcc_cache} )
install_files( /include/ept/cache/apt/ .h ${h_cache_apt} )
install_files( /include/ept/cache/apt/ .tcc ${tcc_cache_apt} )
install_files( /include/ept/cache/debtags/ .h ${h_debtags} )
install_files( /include/ept/cache/debtags/ .tcc ${tcc_debtags} )

set_source_files_properties( ${src} COMPILE_FLAGS -fPIC )

add_definitions( ${OPT_FLAGS} ${GC_DEFS} )
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${TC_INCLUDES}
  ${WIBBLE_INCLUDES} ${APT_INCLUDES} ${SIGC_INCLUDES} )
link_directories( ${TC_LINKDIRS} ${APT_LINKDIRS} ${WIBBLE_LINKDIRS} ${SIGC_LINKDIRS} )

add_library( ept STATIC ${src})
target_link_libraries( ept apt-pkg ${WIBBLE_LIBS} ${TC_LIBS} z ${SIGC_LIBS} ${GC_LIBS} )
set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} )
install_targets( /lib ept )

add_subdirectory( tests )

#SET( _DIR ${ept_BINARY_DIR}/tests/work/ )
SET( TEST_DIR ${ept_BINARY_DIR}/tests/work/ )

CONFIGURE_FILE( ${ept_SOURCE_DIR}/config.h.cmake-in
  ${ept_BINARY_DIR}/config.h )

configure_file( ${ept_SOURCE_DIR}/libept.pc.cmake-in ${ept_BINARY_DIR}/libept.pc @ONLY )

install_files( /lib/pkgconfig FILES libept.pc )
install_files( /share/aclocal FILES libept.m4 )

=== swig/CMakeLists.txt ===
include(FindSWIG)
include(UseSWIG)

if( SWIG_FOUND )

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${APT_INCLUDES} ${TC_INCLUDES} ${SIGC_INCLUDES}
 "/usr/include/python2.4" "/usr/lib/ruby/1.8/i486-linux" )

add_subdirectory( ruby )
add_subdirectory( python )

add_custom_target( swigified.i COMMAND ruby swigify-configuration.rb > swigified.i )
set_source_files_properties( ept.i PROPERTIES CPLUSPLUS ON SWIG_FLAGS "-I${TC_INCLUDES}" )

endif( SWIG_FOUND )

=== swig/python/CMakeLists.txt ===
set_source_files_properties( ept.i PROPERTIES CPLUSPLUS ON SWIG_FLAGS "-I${TC_INCLUDES}" )
swig_add_module( eptpy python ept.i )
swig_link_libraries( eptpy apt-pkg ept tagcoll ${SIGC_LIBS} )

=== swig/ruby/CMakeLists.txt ===
set_source_files_properties( ept.i PROPERTIES CPLUSPLUS ON SWIG_FLAGS "-I${TC_INCLUDES}" )
swig_add_module( eptrb ruby ept.i )
swig_link_libraries( eptrb apt-pkg ept tagcoll ${SIGC_LIBS} )

=== debian/changelog ===
libept (0.4.7) unstable; urgency=high

  * Fixed deserialization of patches.
  * Urgency set to high because this allows #400994 to be fixed in debtags.

 -- Enrico Zini <enrico@debian.org>  Thu, 30 Nov 2006 19:21:46 +0000

libept (0.4.6) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Changed submission address not to point at vitavonni.
    Closes: #399111.

  [ Enrico Zini ]
  * Build-depend on newer libtagcoll2-dev.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Nov 2006 16:21:17 +0100

libept (0.4.5) unstable; urgency=low
  
  [ Arnaud Fontaine ]
  * debian/control:
    - Add Homepage field.
    - Add myself as uploaders.
    - Update Standards-Version. No changes needed.
  * debian/copyright:
    - License the package under the GNU/GPL license.

  [ Enrico Zini ]
  * When saving the tag patch, Create ~/.debtags if it is missing.

 -- Enrico Zini <enrico@debian.org>  Mon, 30 Oct 2006 20:30:25 +0100

libept (0.4.4) unstable; urgency=low

  * Create ~/.debtags when generating user indexes, if it does not already
    exist

 -- Enrico Zini <enrico@debian.org>  Sun, 29 Oct 2006 19:57:40 +0100

libept (0.4.3) unstable; urgency=low

  * Added various missing Depends.  Closes: bug#391428.

 -- Enrico Zini <enrico@debian.org>  Sun,  8 Oct 2006 11:24:51 +0200

libept (0.4.2) unstable; urgency=low

  * Build without -gstabs+, as stabs is not supported in some architectures.

 -- Enrico Zini <enrico@debian.org>  Thu,  5 Oct 2006 00:56:24 +0200

libept (0.4.1) unstable; urgency=low

  * Added missing build-dep on cmake.  Closes: bug#390036.
  * Ported to new, faster coll::patched on tagcoll2.
  * Build-depend on new apt to ensure we do not hit #390189.

 -- Enrico Zini <enrico@debian.org>  Wed,  4 Oct 2006 09:17:22 +0200

libept (0.4.0) unstable; urgency=low

  * New upstream version with many API changes
  * Renamed as libept
  * Updated Standards-Version
  * Added README.Debian to document that libept is a static library built with
    -fPIC

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Sep 2006 22:07:10 +0100

libapt-front (0.3.9) unstable; urgency=low

  * apt-index-watcher now runs another instance of itself to do the update.
    Closes: #357549.
  * Builds with GCC 4.1.  Closes: #357555.
  * Implemented package relationships in completeRecord()

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Mar 2006 21:54:49 +0100

libapt-front (0.3.8) unstable; urgency=low

  * CHANGE: Use libtagcoll 1.6 with the new IntDiskIndex
  * CHANGE: Components now regenerate indexes during initialization when needed
  * CHANGE: Debtags update function no more exists: one now calls
    debtags::fetchNewData() before instantiating the components and the
    components will reindex as needed.
  * Created apt-index-watcher, to keep the on-disk index up to date when
    another application rebuilds the APT index.  Sadly, there doesn't seem to
    be any better way in a short or medium term.

 -- Enrico Zini <enrico@debian.org>  Fri,  3 Mar 2006 11:45:03 +0100

libapt-front (0.3.7) unstable; urgency=low

  * Install utils/comparable.h (was missing),
  * CHANGE: the actor user-visible names changed for improved usability,
  * CHANGE: Relation::targetPackages() now returns only those with
    versions satisfying the constraints (as it should),
  * NEW: Cache::isOpen() predicate,
  * NEW: component::Desktop allows getting group list of a custom
    entity range now (not only all groups in system),
  * NEW: entity::{Version,Package} now have md5sum, source and fileName
    accessors (available through component::Records)
  * slight optimization of filteredRange,
  * fixed intersectionRange to not walk past end of underlying range,
  * un-optimize name() lookups in packages, reduces memory usage
    while keeping nearly same speed,
  * use GenericName for a description() of Desktop entries that have
    no Comment

 -- Peter Rockai <me@mornfall.net>  Sun, 19 Feb 2006 21:20:04 +0100

libapt-front (0.3.6) unstable; urgency=low

  * CHANGE: ranges have end() and not last(), the semantics are same,
  * CHANGE: Range::next() is now a non-mutating successor generator,
    Range::advance() is a mutator,
  * CHANGE: no more Range::ensureSorted() mutator -- there's a non-mutating
    Range::sorted() accessor that gives an instance of the same range, however
    sorted
  * CHANGE: a mostly-compatible refactoring of entity::Package; if you relied
    on implementation details, your code may break now
  * CHANGE: entity::Relation::targetPackages() now traverses Provides:, as it should
  * CHANGE: no more cache::component::Packages::packages( iterator ), use
    packagesBegin() and packagesEnd() or the range accessors instead,
  * NEW: cache::component::Desktop -- parse .desktop files with special X-AppInstall-*
    entries, associate them with their packages, have entity::Desktop to manipulate
    them
  * NEW: SortedRange and UniqueRange adaptors, which present their underlying
    range in a sorted and in the latter case uniquized manner
  * NEW: Range::contains( element ) -- generic implementation only, O(n) so far
    (will optimize later)
  * NEW: aptFront::utils::Comparable mixin (implements > and == in terms of <)
  * NEW: cache::component::Packages::sorted() now gives a name-sorted range of
    entity::Package instances
  * NEW: cache::component::State::{installSize{,String},downloadSize{,String}}
    accessors -- what is needed to get system into currently marked up state
  * NEW: all cache::component implementations now have a Cache &cache() accessor
  * NEW: GeneratedRange, a range defined by a successor functor and a end-test
    functor
  * NEW: cache::component::State::{revert(),replay( range )}, former restores
    state that corresponds to current system and replay( range ) runs a list
    of actions recorded in the range (only one notification is fired)
  * (compatible) rewrite of component::History, more reliable now
  * reduce test data set, remove the download hacks,


=== debian/control ===
Source: libept
Section: libdevel
Priority: optional
Maintainer: libapt-front developers <libapt-front-devel@lists.alioth.debian.org>
Uploaders: Peter Rockai <me@mornfall.net>, Enrico Zini <enrico@debian.org>, Michael Vogt <mvo@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, doxygen, libtool, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<< 2.1), pkg-config, help2man, libsigc++-2.0-dev, cmake, libgc-dev, libboost-dev, libtut-dev
Standards-Version: 3.7.2.2

Package: libept-dev
Section: libdevel
Tag: devel::debian, devel::lang:c++, devel::library, implemented-in::c++, role::devel-lib, works-with::software:package
Architecture: any
Recommends: pkg-config
Depends: libsigc++-2.0-dev, libboost-dev, libgc-dev, libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1)
Description: High-level library for managing Debian packages
 libapt-front is an high-level wrapper for libapt-pkg and libdebtags
 that makes it easier to develop package-aware applications such as
 package managers.
 .
 libapt-front is a joint effort by the debtags, ept and synaptic
 teams.
 .
  Homepage: http://web.mornfall.net/libept.html

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
# comment out autotools and uncomment cmake to use cmake
#include /usr/share/cdbs/1/class/autotools.mk
include debian/cmake.mk

DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 

DEB_MAKE_CHECK_TARGET := check
# comment out CONFIGURE and uncomment CMAKE flags to use cmake
DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
#DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=ON

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

## libept 0.4.7ubuntu2

=== tools/CMakeLists.txt ===
# XXX fixme
LINK_DIRECTORIES( /home/mornfall/dev/debian.fun/tagcoll-eriador/_build/default/tagcoll/.libs )

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${APT_INCLUDES}
                     ${TC_INCLUDES} ${WIBBLE_INCLUDES} ${SIGC_INCLUDES} )
LINK_LIBRARIES( ept ${SIGC_LIBS} wibble tagcoll2 )
LINK_DIRECTORIES( ${APT_LINKDIRS} ${SIGC_LINKDIRS} )

ADD_EXECUTABLE( apt-cat apt-cat.cpp )
ADD_EXECUTABLE( apt-grep apt-grep.cpp )
#ADD_EXECUTABLE( dump-index dump-index.cpp )
#ADD_EXECUTABLE( manpage manpage.cc )
#ADD_EXECUTABLE( apt-index-watcher apt-index-watcher.cpp )

#TARGET_LINK_LIBRARIES( apt-cat ept )

#man_MANS = apt-index-watcher.8

#apt-index-watcher.8: apt-index-watcher manpage
#	./manpage apt-index-watcher > $@ || rm $@

#INCLUDES = $(LIBTAGCOLL_CFLAGS) -I$(top_srcdir)

=== ept/tests/CMakeLists.txt ===
set( T "${CMAKE_CURRENT_SOURCE_DIR}/libept-check" )

add_custom_target( check COMMAND ${T}
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data-stamp )
link_directories( ${ept_BINARY_DIR} ${WIBBLE_LINKDIRS} )
file( GLOB testsrc cache_*.cpp predicate_*.cpp init.cpp tut-main.cpp )
file( GLOB systestsrc sys/*.cpp tut-main.cpp )
add_executable( libept-test ${testsrc} )
add_executable( libept-systest ${systestsrc} )
target_link_libraries( libept-test ept )
target_link_libraries( libept-systest ept )

add_dependencies( check libept-test )
add_dependencies( check libept-systest )

# test data generation
set( datadir ${CMAKE_CURRENT_SOURCE_DIR}/data )
set( listfile ftp.sk.debian.org_debian_dists_unstable_main_binary-i386_Packages )
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/data-stamp
  COMMAND mkdir -p work/etc work/state/lists/partial
		           work/cache work/debtags
				   work/cache/archives/partial work/desktop
  COMMAND cp -a ${datadir}/packagelist work/state/lists/${listfile}
  COMMAND cp -a ${datadir}/etc/sources.list work/etc/
  COMMAND cp -a ${datadir}/dpkg-status work/
  COMMAND cp -a ${datadir}/desktop/*.desktop work/desktop/
  COMMAND cp ${datadir}/debtags/package-tags work/debtags/test.tag
  COMMAND cp ${datadir}/debtags/vocabulary work/debtags/test.voc
  COMMAND mkdir -p work/debtags/empty
  COMMAND mkdir -p work/debtags/user
  COMMAND touch data-stamp )

# add_custom_command(
#   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/tut-syms.cpp
#   DEPENDS ${ept_BINARY_DIR}/libept.a
#   COMMAND ${CMAKE_SOURCE_DIR}/extract_syms.sh ${ept_BINARY_DIR}/libept.a ept_sym_references > tut-syms.cpp )

=== debian/changelog ===
libept (0.4.7ubuntu2) feisty; urgency=low

  * Correct bad patch file.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu,  4 Jan 2007 00:46:25 +1100

libept (0.4.7ubuntu1) feisty; urgency=low

  * Add dpatch, and a patch that add pkgDepCache::writeStateFile as a no-op, 
    since Ubuntu's apt includes it, and Debian's does not.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed,  3 Jan 2007 23:44:42 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: libapt-front developers <libapt-front-devel@lists.alioth.debian.org>
 Uploaders: Peter Rockai <me@mornfall.net>, Enrico Zini <enrico@debian.org>, Michael Vogt <mvo@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
-Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, doxygen, libtool, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<< 2.1), pkg-config, help2man, libsigc++-2.0-dev, cmake, libgc-dev, libboost-dev, libtut-dev
+Build-Depends: cdbs, dpatch, debhelper (>> 4.1), dh-buildinfo, doxygen, libtool, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<< 2.1), pkg-config, help2man, libsigc++-2.0-dev, cmake, libgc-dev, libboost-dev, libtut-dev
 Standards-Version: 3.7.2.2
 
 Package: libept-dev

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # comment out autotools and uncomment cmake to use cmake
 #include /usr/share/cdbs/1/class/autotools.mk
 include debian/cmake.mk
+include /usr/share/cdbs/1/rules/dpatch.mk
 
 DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS=""

## libept 0.5.10ubuntu2

=== debian/changelog ===
libept (0.5.10ubuntu2) gutsy; urgency=low

  * Fix build failure with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Sep 2007 00:03:21 +0200

libept (0.5.10ubuntu1) gutsy; urgency=low

  * rebuild against latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Aug 2007 21:55:00 +0200

libept (0.5.10) unstable; urgency=low

  * ept-cache: allow to sort by package size and installed size
  * ept-cache: --debug will show useful information about the various steps
    involved in building the Xapian query
  * Removed unused TextSearch::search functions
  * Added TextSearch::docidByName
  * Added TextSearch::makePartialORQuery
  * Don't segfault when trying to index a vocabulary which contains a facet
    without tags
  * Improved description of ept-cache related
  * Reactivated --full switch that accidentally disappeared
  * Added a faq for ept-cache.  Closes: #431791.
  * Added a --cutoff option to choose limits for the quality of the results

 -- Enrico Zini <enrico@debian.org>  Fri, 06 Jul 2007 12:15:07 +0100

libept (0.5.9) unstable; urgency=low

  * More alignment fixes
  * Build-depend on graphwiz to get the documentation fully generated
  * Improved the result of xapian-based ept-cache search with popcon sorting

 -- Enrico Zini <enrico@debian.org>  Thu, 28 Jun 2007 14:20:01 +0200

libept (0.5.8) unstable; urgency=low

  * Properly link with xapian.  Closes: bug#430719.
  * Fixed an alignment problem, that should make it work on hppa, ia64 and
    sparc
  * Added a weekly cron job to rebuild the indexes.  Closes: #429949.
  * Fixed building the developer documentation.  Closes: #416036.

 -- Enrico Zini <enrico@debian.org>  Thu, 28 Jun 2007 02:30:17 +0200

libept (0.5.7) unstable; urgency=low

  * Apt record iterator also shows records of locally installed .debs
  * Xapian search query generator for packages similar to a given one
  * Implemented ept-cache related

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Jun 2007 21:11:07 +0100

libept (0.5.6) unstable; urgency=low

  * Index tags in the Xapian index
  * Use tags to improve the quality of the search results
  * Some tweaks to popcon scoring

 -- Enrico Zini <enrico@debian.org>  Tue, 19 Jun 2007 21:12:31 +0100

libept (0.5.5) unstable; urgency=low

  * Fixed ept-cache handling of sorting, filtering and limits
  * Added xapian sort order

 -- Enrico Zini <enrico@debian.org>  Thu, 14 Jun 2007 11:17:18 +0100

libept (0.5.4) unstable; urgency=low

  * Conflicts on debtags << 0.7, as the index file format changed
  * Much faster startup time on most operations
  * Print tags even when apt doesn't have them

 -- Enrico Zini <enrico@debian.org>  Tue, 12 Jun 2007 19:35:56 +0100

libept (0.5.3) unstable; urgency=low

  * Properly catch Xapian exceptions in ept-cache
  * Remind to be root in case an exception is raised on reindex when run as
    non-root
  * Allow to build Xapian queries instead of directly filling in an Enquire

 -- Enrico Zini <enrico@debian.org>  Sun, 10 Jun 2007 16:27:24 +0100

libept (0.5.2) unstable; urgency=low

  * Add -lxapian in the .pc file
  * libept-dev now depends on libapt-pkg-dev

 -- Enrico Zini <enrico@debian.org>  Sat, 09 Jun 2007 23:26:57 +0100

libept (0.5.1) unstable; urgency=low

  * Popcon data source is now independent from Apt
  * TextSource data source is now independent from Apt
  * Debtags data source is now independent from Apt
  * Added popcon::Local data source
  * Implemented output sorting in ept-cache

 -- Enrico Zini <enrico@debian.org>  Thu, 07 Jun 2007 22:36:16 +0100

libept (0.5) unstable; urgency=low

  * Complete rewrite of the library.  Closes: #426874.
  * Added ept-cache commandline interface to the library.

 -- Enrico Zini <enrico@debian.org>  Wed, 06 Jun 2007 21:13:24 +0100

libept (0.4.8) unstable; urgency=low

  * Check for package validity before returning its tags.  Closes: #408095.

 -- Enrico Zini <enrico@debian.org>  Thu, 24 May 2007 13:30:11 +0200

=== debian/control ===
Source: libept
Section: libdevel
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Peter Rockai <me@mornfall.net>, Arnaud Fontaine <arnaud@andesi.org>
Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libtool, libapt-pkg-dev (>= 0.7.6), libwibble-dev (>= 0.1.10), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libtut-dev, libxapian-dev (>= 1.0.1)
Standards-Version: 3.7.2.2
XS-Vcs-Hg: http://hg.debian.org/hg/private/enrico/libept
XS-Vcs-Browser: http://hg.debian.org/hg/private/enrico/libept

Package: libept-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev
Conflicts: debtags (<< 0.7)
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * TextSearch: fast Xapian-based full text search on package description
 .
 This is the development library.

Package: libept0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * TextSearch: fast Xapian-based full text search on package description
 .
 This is the shared library.

Package: ept-cache
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: debtags
Description: Commandline tool to search the package archive
 ept-cache is a simple commandline interface to the functions of libept.
 .
 It can currently search and display data from four sources:
 .
  * The APT database
  * The Debtags tag information
  * Popcon package scores
  * A fast Xapian-based full text index on package descriptions

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

#DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 

DEB_MAKE_CHECK_TARGET := check
# comment out CONFIGURE and uncomment CMAKE flags to use cmake
#DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
#DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=ON

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

## libept 0.5.15

=== CMakeLists.txt ===
include( FindPkgConfig )
include( FindDoxygen )

set( EPT_VERSION "0.5.15" )
set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
set( OPT_FLAGS "-O0 -gstabs+" CACHE STRING "optimization level" )

option( INTERNAL_TAGCOLL "use internal copy of tagcoll" )
option( INTERNAL_WIBBLE "use internal copy of wibble" )
option( RPM "using apt-rpm" )

if( INTERNAL_WIBBLE )
  add_subdirectory( wibble )
  set( WIBBLE_INCLUDE_DIRS ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
  set( WIBBLE_LIBRARY_DIRS ${wibble_BINARY_DIR} )
  set( WIBBLE_LIBRARIES "wibble" )
  set( WIBBLE_TEST_CMAKE "${wibble_SOURCE_DIR}/test.cmake" )
else( INTERNAL_WIBBLE )
  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 0.1.12" )
  find_program( WIBBLE_TEST_GENRUNNER wibble-test-genrunner )
  set( WIBBLE_TEST_CMAKE "${WIBBLE_PREFIX}/share/wibble/test.cmake" )
endif( INTERNAL_WIBBLE )

if( INTERNAL_TAGCOLL )
  set( TAGCOLL_FOUND ON )
  set( TAGCOLL_INCLUDE_DIRS ${CMAKE_SOURCE_DIR} )
  set( TAGCOLL_LIBRARY_DIRS ${tagcoll_BINARY_DIR} )
  set( TAGCOLL_LIBRARIES "tagcoll2" )
  add_subdirectory( tagcoll )
else( INTERNAL_TAGCOLL )
  pkg_check_modules( TAGCOLL REQUIRED "libtagcoll2 >= 2.0" )
endif( INTERNAL_TAGCOLL )

add_subdirectory( ept )
add_subdirectory( tools )
add_subdirectory( doc )

=== doc/CMakeLists.txt ===
add_custom_command(
  DEPENDS ept ${CMAKE_CURRENT_BINARY_DIR}/libept.dox
  OUTPUT doc-stamp
  COMMAND ${DOXYGEN} libept.dox && touch doc-stamp )

add_custom_target( doc DEPENDS doc-stamp )

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/libept.dox.in
  ${CMAKE_CURRENT_BINARY_DIR}/libept.dox @ONLY IMMEDIATE )

=== ept/CMakeLists.txt ===
project( ept )
include( ${WIBBLE_TEST_CMAKE} )

file( GLOB coresrc core/*.cpp core/apt/*.cpp )
file( GLOB src *.cpp debtags/*.cc debtags/maint/*.cc
  popcon/*.cc popcon/maint/*.cc apt/*.cc textsearch/*.cc
  textsearch/maint/*.cc )

file( GLOB h_top *.h )
file( GLOB h_core core/*.h )
file( GLOB h_core_apt core/apt/*.h )
file( GLOB h_apt apt/*.h )
file( GLOB h_debtags debtags/*.h debtags/*.tcc )
file( GLOB h_debtags_maint debtags/maint/*.h debtags/maint/*.tcc )
file( GLOB h_popcon popcon/*.h )
file( GLOB h_popcon_maint popcon/maint/*.h )
file( GLOB h_textsearch textsearch/*.h )
file( GLOB h_textsearch_maint textsearch/maint/*.h )

file( GLOB coretesth core/*.test.h core/apt/*.test.h )
file( GLOB debtagstesth debtags/*.test.h debtags/maint/*.test.h )
file( GLOB popcontesth popcon/*.test.h )
file( GLOB apttesth apt/*.test.h )
file( GLOB textsearchtesth textsearch/*.test.h )
set( testh ${coretesth} ${debtagstesth} ${popcontesth}
           ${apttesth} ${textsearchtesth} )

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                     ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
link_libraries( ${WIBBLE_LIBRARIES} ${TAGCOLL_LIBRARIES} apt-pkg xapian )
add_definitions( -fexceptions -fPIC -fvisibility=default )

add_library( ept-core STATIC ${coresrc} )

link_libraries( ept-core )
add_library( ept SHARED ${src} )
set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} SOVERSION 0 )

set( TEST_ENV_DIR ${ept_BINARY_DIR}/test-env/ )

configure_file( ${ept_SOURCE_DIR}/config.h.cmake-in
  ${ept_BINARY_DIR}/config.h )

set( prefix "${CMAKE_INSTALL_PREFIX}" )
set( exec_prefix "${prefix}/bin" )
set( libdir "${prefix}/lib" )
set( includedir "${prefix}/include" )
configure_file( ${ept_SOURCE_DIR}/libept.pc.in
  ${ept_BINARY_DIR}/libept.pc @ONLY )

# regression testing
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/../lib )
link_libraries( ept )
wibble_add_test( ept-test ${testh} )

set( datastamp ${CMAKE_CURRENT_BINARY_DIR}/data-stamp )
set( datadir ${CMAKE_CURRENT_SOURCE_DIR}/test-data )
set( listfile wherever_debian_._Packages )

wibble_check_target( ept-test ${datastamp} )

execute_process( COMMAND dpkg --print-architecture OUTPUT_VARIABLE ARCH )
string( REPLACE "\n" "" ARCH "${ARCH}" )

add_custom_command(
  OUTPUT ${datastamp}
  COMMAND mkdir -p test-env/etc test-env/state/lists/partial
		           test-env/cache test-env/debtags
			   test-env/cache/archives/partial test-env/desktop
  COMMAND sed -e s,i386,${ARCH}, < ${datadir}/packagelist > test-env/state/lists/${listfile}
  COMMAND cp -a ${datadir}/etc/sources.list test-env/etc/
  COMMAND sed -e s,i386,${ARCH}, < ${datadir}/dpkg-status > test-env/dpkg-status
  COMMAND cp -a ${datadir}/desktop/*.desktop test-env/desktop/
  COMMAND cp ${datadir}/debtags/package-tags test-env/debtags/test.tag
  COMMAND cp ${datadir}/debtags/vocabulary test-env/debtags/test.voc
  COMMAND mkdir -p test-env/debtags/empty
  COMMAND mkdir -p test-env/debtags/user
  COMMAND mkdir -p test-env/xapian/
  COMMAND mkdir -p test-env/popcon/
  COMMAND mkdir -p test-env/popcon/empty
  COMMAND cp -a ${datadir}/popcon/all-popcon-results.txt.gz test-env/popcon/
  COMMAND cp -a ${datadir}/popcon/popularity-contest test-env/popcon/
  COMMAND touch data-stamp )

install( TARGETS ept ept-core
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib )

install( FILES ${ept_BINARY_DIR}/libept.pc DESTINATION lib/pkgconfig )
install( FILES libept.m4 DESTINATION share/aclocal )

install( FILES ${h_top} DESTINATION include/ept )
install( FILES ${h_core} DESTINATION include/ept/core )
install( FILES ${h_core_apt} DESTINATION include/ept/core/apt )
install( FILES ${h_apt} DESTINATION include/ept/apt )
install( FILES ${h_debtags} DESTINATION include/ept/debtags )
install( FILES ${h_debtags_maint} DESTINATION include/ept/debtags/maint )
install( FILES ${h_popcon} DESTINATION include/ept/popcon )
install( FILES ${h_popcon_maint} DESTINATION include/ept/popcon/maint )
install( FILES ${h_textsearch} DESTINATION include/ept/textsearch )
install( FILES ${h_textsearch_maint} DESTINATION include/ept/textsearch/maint )

=== tools/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                     ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
link_libraries( ept )

add_executable( ept-search ept-search.cpp )
add_executable( ept-cat ept-cat.cpp )
add_executable( manpage manpage.cc )
add_executable( ept-cache
  ept-cache.cc Environment.cc filters.cc info.cc )

set( bindir ${CMAKE_CURRENT_BINARY_DIR} )
set( srcdir ${CMAKE_CURRENT_SOURCE_DIR} )

add_custom_command(
  TARGET manpage
  POST_BUILD
  DEPENDS manpage
  COMMAND LD_LIBRARY_PATH=${ept_BINARY_DIR} ${bindir}/manpage ept-cache ${srcdir}/ept-cache-man-hooks > ${bindir}/ept-cache.1 )

install( TARGETS ept-cache RUNTIME DESTINATION bin )
install( FILES ${bindir}/ept-cache.1 DESTINATION share/man/man1 )

=== debian/changelog ===
libept (0.5.15) unstable; urgency=low

  [ Enrico Zini ]
  * Compiles with gcc 4.3.  Closes: #455334.
    Thanks Matthias Klose for the patch.
  * Builds with broken dash.  Closes: #459086.
    Thanks Daniel Hahler for the patch.
  * ept-cache depends on apt-xapian-index >= 0.5.  Closes: #457128.
  * ept-cache show works on multiple packages.  Closes: #462920.

  [ Petr Rockai ]
  * Enhancements to ept::core API, in support of Adept 3.0~alpha4.
  - Handle exceptions coming from _system-Lock().
  - AptException to slurp up _error into its context when being thrown.
  - Support for system upgrades in ActionList.
  - AptDatabase can be now told to use a custom OpProgress object.
  * Fix a bug in AptDatabase::openState() trying to use NULL pointer.

 -- Petr Rockai <mornfall@debian.org>  Mon, 10 Mar 2008 22:41:29 +0100

libept (0.5.14) unstable; urgency=low

  * Make the testsuite architecture-neutral, should fix build failures on
    all non-i386 arches.

 -- Petr Rockai <mornfall@debian.org>  Wed, 23 Jan 2008 12:18:44 +0100

libept (0.5.13) unstable; urgency=low

  * Merge my ept::core classes with Enrico's current libept iteration,
  * this makes the library capable of supporting future version of Adept,
  * use an internal copy of libwibble, with a new testing framework,
  * convert the testsuite to the new framework.
  
  * This release also contains a lot of duplicity between ept::core and
    ept::* classes, which will be gradually addressed by further releases.
  * The API under ept::core is *not* ABI-compatible between releases.
  * There is a static libept-core.a that only contains the ept::core
    functionality (but it is nevertheless linked into libept.so as well).

 -- Petr Rockai <mornfall@debian.org>  Fri, 18 Jan 2008 16:03:14 +0100

libept (0.5.12) unstable; urgency=low

  * Updated shlib deps.  Closes: bug#455748.

 -- Enrico Zini <enrico@debian.org>  Fri, 14 Dec 2007 12:22:48 +0100

libept (0.5.11) unstable; urgency=low

  * Use apt-xapian-index as the full text search index.
  * ept-cache reindex does not rebuild the full text index anymore.
  * Implemented --quiet for ept-cache reindex.  Closes: bug#432552.
  * ept-cache reindex calls update-apt-xapian-index.
  * Use --quiet in the cron job.
  * Check for existance of ept-cache in the cron job.  Closes: bug#435973.
  * Added missing includes.  Closes: bug#441522.

 -- Enrico Zini <enrico@debian.org>  Sat, 08 Dec 2007 16:54:58 +0000

=== debian/control ===
Source: libept
Section: libdevel
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Petr Rockai <mornfall@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.12), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake
Standards-Version: 3.7.3
XS-Vcs-Hg: http://hg.debian.org/hg/private/enrico/libept
XS-Vcs-Browser: http://hg.debian.org/hg/private/enrico/libept

Package: libept-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.12), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
Conflicts: debtags (<< 0.7)
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the development library.

Package: libept0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the shared library.

Package: ept-cache
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}, apt-xapian-index (>= 0.5)
Recommends: debtags
Description: Commandline tool to search the package archive
 ept-cache is a simple commandline interface to the functions of libept.
 .
 It can currently search and display data from four sources:
 .
  * The APT database
  * The Debtags tag information
  * Popcon package scores
  * The Xapian index built by apt-xapian-index

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

#DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 

# TODO workaround for cmake breakage; debian bug #459207
CXX = /usr/bin/g++
CC = /usr/bin/gcc

DEB_MAKE_CHECK_TARGET := check

# comment out CONFIGURE and uncomment CMAKE flags to use cmake
#DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
#DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=ON

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

build/libept-dev::
	make -C ${DEB_BUILDDIR} doc

install/libept-dev::
	mkdir -p debian/tmp/usr/share/doc/libept-dev/
	cp -r ${DEB_BUILDDIR}/doc/html debian/tmp/usr/share/doc/libept-dev/
	cp ${DEB_BUILDDIR}/doc/libept.doxytags debian/tmp/usr/share/doc/libept-dev/

## libept 0.5.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include( FindPkgConfig )
 include( FindDoxygen )
 
-set( EPT_VERSION "0.5.15" )
+set( EPT_VERSION "0.5.21" )
 set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
 set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
 set( OPT_FLAGS "-O0 -gstabs+" CACHE STRING "optimization level" )

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 add_executable( ept-search ept-search.cpp )
 add_executable( ept-cat ept-cat.cpp )
+add_executable( pkglist pkglist.cpp )
 add_executable( manpage manpage.cc )
 add_executable( ept-cache
   ept-cache.cc Environment.cc filters.cc info.cc )

=== debian/changelog ===
libept (0.5.22) unstable; urgency=high

  * Add missing build-dependency on g++-4.2 on ARM.

 -- Petr Rockai <mornfall@debian.org>  Sat, 26 Jul 2008 12:35:14 +0200

libept (0.5.21) unstable; urgency=high

  * Compile with g++-4.2 on ARM.  Closes: #487408.
  * Fixed apt::Apt package iteration.  Closes: #491412.
  * Updated standards-version (no changes required)
  * Created ufficial repository in collab-maint, and updated Vcs headers.

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Jul 2008 18:15:40 +0100

libept (0.5.20) unstable; urgency=low

  * Really fix the failure this time. Missed a sort on one of the tests.
  * Build-depend on libwibble-dev >= 0.1.19.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 23:18:05 +0200

libept (0.5.19) unstable; urgency=low

  * Fix a semi-random testsuite failure due to an operator< in
    desktop::Entry not defining a partial order.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 16:25:12 +0200

libept (0.5.18) unstable; urgency=low

  [ Enrico Zini ]
  * Detect when the apt cache changes even after package removal.
  * Fix a bug in build system that caused FTBFS with cmake 2.6.
    Closes: bug#482227.

  [ Petr Rockai ]
  * Added package::Source::upgradableList(),
  * add API bits for recognizing held packages,
  * slight refactorings of the ept::core API,
  * parser for .desktop files,
  * a desktop::Source for reading in directories of .desktop files
    (app-install-data style),
  * fix a grave bug in AptException (it wasn't deriving std::exception...).

 -- Petr Rockai <mornfall@debian.org>  Sat, 14 Jun 2008 12:49:08 +0200

libept (0.5.17) unstable; urgency=low

  * Updated shlibs file.
  * Build paths in a smart way.  Closes: bug#472999.
  * Fixed problem with new GCC.  Closes: bug#472821.

 -- Enrico Zini <enrico@debian.org>  Fri, 28 Mar 2008 01:29:11 +0800

libept (0.5.16) unstable; urgency=high

  * Build-depend on new wibble
  * Install documentation.  Closes: #471744.
  * Urgency set to high as it is part of fixing #472476.

 -- Enrico Zini <enrico@debian.org>  Tue, 25 Mar 2008 14:54:51 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
-Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.12), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake
-Standards-Version: 3.7.3
-XS-Vcs-Hg: http://hg.debian.org/hg/private/enrico/libept
-XS-Vcs-Browser: http://hg.debian.org/hg/private/enrico/libept
+Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.19), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm]
+Standards-Version: 3.8.0
+Vcs-Darcs: http://darcs.debian.org/darcs/collab-maint/libept
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=collab-maint/libept;a=summary
 
 Package: libept-dev
 Section: libdevel
 Architecture: any
 Recommends: pkg-config
-Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.12), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
+Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.15), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
 Conflicts: debtags (<< 0.7)
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,22 @@
 
 #DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 
 
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),arm)
+# TODO workaround for g++ breakage on arm; debian bug #487406
+export CC=gcc-4.2
+export CXX=g++-4.2
+else
 # TODO workaround for cmake breakage; debian bug #459207
-CXX = /usr/bin/g++
-CC = /usr/bin/gcc
+export CXX = /usr/bin/g++
+export CC = /usr/bin/gcc
+endif
+
 
 DEB_MAKE_CHECK_TARGET := check
+
+DEB_DH_MAKESHLIBS_ARGS_libept0 = -V
 
 # comment out CONFIGURE and uncomment CMAKE flags to use cmake
 #DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
@@ -26,3 +37,4 @@
 	mkdir -p debian/tmp/usr/share/doc/libept-dev/
 	cp -r ${DEB_BUILDDIR}/doc/html debian/tmp/usr/share/doc/libept-dev/
 	cp ${DEB_BUILDDIR}/doc/libept.doxytags debian/tmp/usr/share/doc/libept-dev/
+	gzip -9 debian/tmp/usr/share/doc/libept-dev/libept.doxytags

## libept 0.5.26

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 include( FindPkgConfig )
 include( FindDoxygen )
 
-set( EPT_VERSION "0.5.21" )
+set( EPT_VERSION "0.5.25" )
 set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
 set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
-set( OPT_FLAGS "-O0 -gstabs+" CACHE STRING "optimization level" )
+set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )
 
 option( INTERNAL_TAGCOLL "use internal copy of tagcoll" )
 option( INTERNAL_WIBBLE "use internal copy of wibble" )
@@ -17,7 +17,7 @@
   set( WIBBLE_LIBRARIES "wibble" )
   set( WIBBLE_TEST_CMAKE "${wibble_SOURCE_DIR}/test.cmake" )
 else( INTERNAL_WIBBLE )
-  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 0.1.12" )
+  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 0.1.22" )
   find_program( WIBBLE_TEST_GENRUNNER wibble-test-genrunner )
   set( WIBBLE_TEST_CMAKE "${WIBBLE_PREFIX}/share/wibble/test.cmake" )
 endif( INTERNAL_WIBBLE )

=== debian/changelog ===
libept (0.5.26) unstable; urgency=low

  * Disable Xapian quality cutoff to make the results more deterministic
    and easier to understand (clients are now expected to trim their
    result list somehow).
  * Try to match the whole search string as a package name prefix,
    improving the result sets.

 -- Petr Rockai <mornfall@debian.org>  Wed, 15 Oct 2008 20:24:21 +0200

libept (0.5.25) unstable; urgency=low

  * Improvements to core::xapian robustness plus a few bugfixes there,
  * add core::package::ActionList::latest() to get at the topmost action.

 -- Petr Rockai <mornfall@debian.org>  Sun, 17 Aug 2008 12:10:49 +0200

libept (0.5.24) experimental; urgency=low

  * Rework core::xapian for both improved API and possibilities,
  * add some invalidate() methods to keep sources from using expired data,
  * implement package::Source::get< package::AnyVersion >(),
  * don't interfere with apt-get's autoremove marking,
  * a few relatively minor bugfixes.

 -- Petr Rockai <mornfall@debian.org>  Tue, 05 Aug 2008 19:55:50 +0200

libept (0.5.23) experimental; urgency=low

  * Added core::xapian::Source::update() to refresh xapian index
    (calls out to update-apt-xapian-index),
  * optimize core::desktop performance,
  * fix an important performance issue in core::apt::package's revertStates(),
  * fix many compiler warnings.

 -- Petr Rockai <mornfall@debian.org>  Thu, 31 Jul 2008 13:30:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
-Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.19), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm]
+Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm]
 Standards-Version: 3.8.0
 Vcs-Darcs: http://darcs.debian.org/darcs/collab-maint/libept
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=collab-maint/libept;a=summary
@@ -12,7 +12,7 @@
 Section: libdevel
 Architecture: any
 Recommends: pkg-config
-Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.15), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
+Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
 Conflicts: debtags (<< 0.7)
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data

## libept 0.5.26build1

=== debian/changelog ===
libept (0.5.26build1) jaunty; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Feb 2009 16:22:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
-Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm]
+Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.7.20), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm]
 Standards-Version: 3.8.0
 Vcs-Darcs: http://darcs.debian.org/darcs/collab-maint/libept
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=collab-maint/libept;a=summary
